## org.apache.xerces.validators.datatype
Class UnionDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.UnionDatatypeValidator

public class UnionDatatypeValidator
extends AbstractDatatypeValidator

Author:
  Jeffrey Rodriguez, Elena Litani UnionValidator validates that XML content is a W3C string type. Implements the September 22 XML Schema datatype Union Datatype type

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`UnionDatatypeValidator()`
`UnionDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedBy)`
`UnionDatatypeValidator(java.util.Vector base)`

Method Summary
`java.lang.Object` `clone()` Returns a copy of this object.
`int` `compare(java.lang.String value1, java.lang.String value2)` Compares content in the Domain value vs.
`java.util.Vector` `getBaseValidators()`
`java.util.Hashtable` `getFacets()`
`java.lang.Object` `validate(java.lang.String content, java.lang.Object state)` validate that a string is a W3C string type

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionDatatypeValidator

    public UnionDatatypeValidator()
                           throws InvalidDatatypeFacetException

### UnionDatatypeValidator

    public UnionDatatypeValidator(DatatypeValidator base,
                                  java.util.Hashtable facets,
                                  boolean derivedBy)
                           throws InvalidDatatypeFacetException

### UnionDatatypeValidator

    public UnionDatatypeValidator(java.util.Vector base)

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  validate that a string is a W3C string type
  Overrides:
    validate in class AbstractDatatypeValidator
  Parameters:
    `content` - A string containing the content to be validated
    `list` -
  Throws:
    throws - InvalidDatatypeException if the content is not a W3C string type
    InvalidDatatypeValueException -

### getFacets

    public java.util.Hashtable getFacets()

  Returns:
    A Hashtable containing the facets for this datatype.

### compare

    public int compare(java.lang.String value1,
                       java.lang.String value2)

  Description copied from interface: DatatypeValidator
  Compares content in the Domain value vs. lexical value. e.g. If type is a float then 1.0 may be equivalent to 1 even tough both are lexically different.
  Tags copied from interface: DatatypeValidator
  Parameters:
    `value1` -
    `valu2` -
  Returns:

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.
  Overrides:
    clone in class AbstractDatatypeValidator

### getBaseValidators

    public java.util.Vector getBaseValidators()

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.